Imansible installare Aptana Studio 3.6 su Windows

Mi piacerebbe usare Aptana Studio per lo sviluppo di Rails sotto Windows. Al momento ho diversi strumenti di sviluppo e ide installati e funzionanti (come git / ruby ​​/ jdk) e mi piacerebbe installare anche Aptana Studio, ma non posso. Dopo aver scaricato e avviato il programma di installazione, viene avviato correttamente e dopo aver scelto la directory di destinazione, inizia a scaricare le prequisiti. Ho diversi problemi con esso:

  1. Dopo un po ‘, prova a installare node.js (beh, non sono sicuro del perché, ma lascia che sia) ea volte lo installa ok, ma a volte fallisce senza errori, dicendomi solo che aptana non può installare prequisities.
  2. Se per caso si installa node.js, prova a installare msysgit (di nuovo, non so perché, perché ho git installato e aggiunto a PATH). Quando si installa msysgit, tutto ciò che ottengo è informazioni che “l’installazione di msysgit non è riuscita” e tutto quello che posso fare è fare clic su Fine nel programma di installazione che mi dice che non è ansible installare i prequisiti.

Sto usando Win7 x64, ruby 1.9.3p-545, msysgit 1.8.4, jdk 1.7. Qualcuno ha avuto un problema simile e ha installato con successo questo ide?

L’installazione di Aptana Studio in modalità passiva aggira l’installazione di Git per Windows e Node.js.

Aptana_Studio_3_Setup_3.6.1 /passive /norestart 

(Non sono sicuro che Aptana Studio funzionerà correttamente senza quei “prerequisiti”, ma sembra).

Se si desidera un’installazione globale in una directory specifica, la riga di comando è

 Aptana_Studio_3_Setup_3.6.1.exe /passive /norestart ALLUSERS=1 APPDIR=c:\apps\AptanaStudio 

Ho avuto lo stesso problema. Ho risolto installando NodeJS da questo link: http://go.aptana.com/installer_nodejs_windows e Git ultima versione da https://git-scm.com/downloads .

Finalmente sono stato in grado di eseguire l’installatore Aptana senza problemi.

Ho qualche problema, la correzione è:

  1. Disinstallare qualsiasi versione di nodejs.
  2. Installa https://nodejs.org/dist/v0.10.36/x64/node-v0.10.36-x64.msi .
  3. Installa Aptana.
  4. Codice…

saluti!

La maggior parte di noi si imbatterà in questo problema. Questo può essere risolto installando NodeJS da http://go.aptana.com/installer_nodejs_windows . L’installazione di Aptana ha installato GIT automaticamente, ma se si riscontrano ancora problemi, suggerirei di installare l’ultima versione di GIT e rieseguire l’installazione di Aptana.

Installa NODE.JS su Windows prima di installare aptana

Prova il seguente link http://blueashes.com/2011/web-development/install-nodejs-on-windows/

Se il problema è correlato a un’installazione di Windows non riuscita e viene visualizzato un messaggio relativo _jsnode_windows.msi CRC error installazione _jsnode_windows.msi CRC error :

Aptana Studio (Aptana Studio 3, build: 3.6.1.201410201044) richiede attualmente Nodejs 0.5.XX-0.11.xx

Anche se la versione corrente di nodejs sembra essere 5.XX Apparentemente ci sarà una nuova versione a novembre 2015 che corregge questo difetto.

La preinstallazione di x0.10.36-x64 mi ha consentito di procedere con un’installazione corretta. Se si può credere ai numeri di versione, questa sembra essere un’antica release di nodejs , ma hey – Ho visto una demo molto impressionante di Aptana Studio e volevo davvero installarla. 🙂

Ho anche preinstallato GIT per Windows, ma non sono sicuro che fosse necessario o meno.

Semplicemente, crea la cartella in cui vuoi estrarre Aptana Studio, quindi usa questo comando:

 Aptana_Studio_3_Setup_3.6.1.exe /extract:"folder" 

Sembra che il problema sia stato causato da msysgit ( Git per Windows ).

Nella maggior parte dei casi è installata una versione abbastanza recente di Git per Windows . Citato da https://code.google.com/p/tortoisegit/ :

C’era un problema di sicurezza in Git, vedi qui . Git for Windows <1.9.5 è interessato - quindi dovresti aggiornare, TortoiseGit stesso non è influenzato (usando la configurazione di default, solo se libgit2 è abilitato manualmente per il checkout / fetch). TortoiseGit 1.8.13.0 include tutte le correzioni.

Ma sembra che Aptana Studio Installer non accetterà alcuna versione preinstallata di Git per Windows !

Cosa devi fare:

  1. Disinstallare Git per Windows .
  2. Installa Aptana Studio .
    Apanta Studio 3.6.1 installerà Git per Windows 1.8.4-preview20130916 .
  3. Scarica l’ultima versione di Git per Windows da http://msysgit.github.io/ .
  4. Installa l’ultima versione di Git per Windows .
    L’obsoleto Git per Windows 1.8.4-preview20130916 verrà aggiornato alla versione più recente.

Questo è tutto !!!

Ho avuto questo problema ed è stato a causa della connessione internet limitata alla fonte. È ansible utilizzare un proxy (VPN) ma la soluzione migliore è scaricare manualmente NodeJ dalla sorgente https://nodejs.org/download/ e Git, anche.

dopo l’installazione manuale, aptana controllerà se sono installati o meno.

Ho avuto un problema nell’installare Aptana 3.6.1 sul mio computer Windows. Mostra sempre “non riesco a trovare l’installer di node.js mancante windows msi” Non importa quante volte ho provato a farlo.

Ecco come ho risolto il problema:

  1. Installa Git: questo link è per Windows e avrà automaticamente il file pronto per scaricare https://git-scm.com/download/win

  2. Invece di installare l’ultima versione, ho scelto una versione precedente (anche 3) ma è 3.2.2 invece di 3.61 (quella attuale sulla pagina Aptana): http://www.filehorse.com/download-aptana/11489 /

Devi usare git portatile non installer. Estrai la cartella su Program Files e rinomina il nome della cartella da PortableGit a Git.

Aveva inizialmente lo stesso errore. così .. preinstallato git e node.js e successivamente installato Aptana, che si installava perfettamente. Rajeeva.

Sto usando Win 8.1, e ho installato Aptana facilmente, e uso per la programmazione PHP senza problemi. E ho appena sperimentato l’ottimizzazione di Ruble nell’interfaccia utente. Tutto sembra funzionare bene.

3.6.0.201407100658

Fare clic con il tasto destro del mouse sul programma di installazione e selezionare “Esegui come amministratore”. Sospetto che sia necessario un account amministratore per scaricare e installare Node JS durante l’installazione.